
#include <Wt/WOverlayLoadingIndicator> //WOverlayLoadingIndicator
#include <Wt/WImage> //WImage
#include <QtDebug> //qDebug
#include <Wt/WDateTime> //WDateTime

#include "QueueMateWebApplication.h" //QueueMateWebApplication

/*!
  *@brief 构造函数。
  *
  *WQApplication构造函数中第二个参数是指启用QT事件循环。
  */
QueueMateWebApplication::QueueMateWebApplication(const WEnvironment& env): WApplication(env)
{
    messageResourceBundle().use("Translations/zh_cn"); //载入翻译内容，使用简体中文。


    WebPage= new SBlog(root()); //创建一个网站对象。

    WString CrtTmStr=WDateTime::currentDateTime().toString("hhmmss"); //当前时间对应的字符串。

    useStyleSheet("QueueMateWeb.css?version="+CrtTmStr.toUTF8()); //设置样式单。
} //GenieProWebApplication::GenieProWebApplication(const WEnvironment& env)
//: WApplication(env)


/*!
  *@brief 析构函数。
  */
QueueMateWebApplication::~QueueMateWebApplication()
{
    delete WebPage; //删除对象。
} //GenieProWebApplication::~GenieProWebApplication()
